local function doFadeWipe(state)
  fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
  engine.Scene:Add(fadeWipe)
  fadeWipe.duration = 2
  fadeWipe.EndTimer = 1
end


function onBegin()

  if getFlag("inelevator") then

    disablePause()
    player.ForceCameraUpdate = true
    doFadeWipe(true)
    elevator = celeste.Mod.MaxHelpingHand.Entities.MoreCustomNPC.GetNPC("elevator")
    elevator:PlayAnimation("idle")
    player.Facing = getEnum("Celeste.Facings", "Right")
    wait(1.5)

    setFlag("inelevator", false)
    enableMovement()

  end

end